Remove Organization From Service Plan Visibility
Remove organization from a service plan visibility
This endpoint removes an organization from a service plan visibility list of organizations. It is only defined for service plans which are org-restricted. It will fail with a HTTP status code of 422 for any other visibility type (e.g. Public).
Request
URI
DELETE
https://api.example.local/v3/service_plans/{guid}/visibility/{organization_guid}
COPY
Path Parameters
string
guid
Required
The unique identifier for the resource
string
organization_guid
Required
organization_guid
Responses
204
No Content
Operation doesn't return any data structure
401
Unauthorized
Returns
Unauthorized
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
403
Forbidden
Returns
Forbidden
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
404
Not Found
Returns
NotFound
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
422
Unprocessable Entity
Returns
UnprocessableEntity
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
Code Samples
COPY
curl -X DELETE -H 'Authorization: <value>' https://{api_host}/v3/service_plans/{guid}/visibility/{organization_guid}
Service Plans Operations
GET
List Service Plans
POST
Create Service Plan
GET
Get Service Plan
PATCH
Update Service Plan
DELETE
Delete Service Plan
GET
Get Service Plan Visibility
PATCH
Update Service Plan Visibility
POST
Apply Service Plan Visibility
DELETE
Remove Organization From Service Plan Visibility
GET
List Service Plan Definitions
GET
Get Service Plan Definition
PATCH
Update Service Plan Definition
DELETE
Delete Service Plan Definition